List users
https://api.light.inc/v1/users
Returns a paginated list of users
Authorization
Send one of these on every request. See Authentication for how to get credentials.
- API key
Basic authentication header of the form Basic <api_key>, where <api_key> is your api key.
- Bearer token
Query parameters
-
sortstringSort string in the format
field:direction. To provide multiple sort fields, separate them with commas.Available directions:
asc,desc.Available fields:
firstName,lastName,status,createdAt,updatedAt. -
filterstringFilter string in the format
field:operator:value. To provide multiple filters, separate them with commas.Available operators:
eq,ne,in,not_in,gt,gte,lt,lte.- For
inandnot_inoperators, provide multiple values separated by the pipe character (|).
Available fields:
id,userGroupId,companyEntityId,status,email,createdAt,updatedAt,role,assignedRole. - For
-
limitinteger · int32 -
offsetinteger · int64deprecatedNumber of items to skip before starting to collect the result set. Deprecated, use 'cursor' instead.
-
cursorstringThe cursor position to start returning results from. To opt-in into cursor-based pagination, provide
0for the initial request. For subsequent requests, usenextCursorandprevCursorfrom the previous response to navigate. Cursor values are opaque and should not be constructed manually. -
includeRolesbooleanInclude each user's roles. When not set,
rolesis omitted from the response. -
includeGroupsbooleanInclude each user's groups. When not set,
groupsis omitted from the response. -
includeManagersbooleanInclude each user's manager ids. When not set,
managerIdsis omitted from the response.
Response
-
recordsarray of objectList of records for the current page
-
idstring · uuid -
companyIdstring · uuid -
companyEntityIdstring · uuid -
emailstring -
firstNamestring -
lastNamestring -
phoneNumberobjectNote
May be
null.PATCH /v1/users/{userId}clears it with an explicitnull, and leaves it unchanged when the field is omitted.-
countryCodestring⚠️ This enum is not exhaustive; new values may be added in the future.
One of
ACADAEAFAGAIALAMANAOAQARASATAUAWAXAZBABBBDBEBFBGBHBIBJBLBMBNBOBQBRBSBTBUBVBWBYBZCACCCDCFCGCHCICKCLCMCNCOCPCRCSCUCVCWCXCYCZDEDGDJDKDMDODZEAECEEEGEHERESETEUEZFIFJFKFMFOFRFXGAGBGDGEGFGGGHGIGLGMGNGPGQGRGSGTGUGWGYHKHMHNHRHTHUICIDIEILIMINIOIQIRISITJEJMJOJPKEKGKHKIKMKNKPKRKWKYKZLALBLCLILKLRLSLTLULVLYMAMCMDMEMFMGMHMKMLMMMNMOMPMQMRMSMTMUMVMWMXMYMZNANCNENFNGNINLNONPNRNTNUNZOMPAPEPFPGPHPKPLPMPNPRPSPTPWPYQARERORSRURWSASBSCSDSESFSGSHSISJSKSLSMSNSOSRSSSTSUSVSXSYSZTATCTDTFTGTHTJTKTLTMTNTOTPTRTTTVTWTZUAUGUKUMUSUYUZVAVCVEVGVIVNVUWFWSXIXUXKYEYTYUZAZMZRZW -
localNumberstringNote
The number without the country code.
-
-
avatarUrlstring -
countrystring⚠️ This enum is not exhaustive; new values may be added in the future.
One of
ACADAEAFAGAIALAMANAOAQARASATAUAWAXAZBABBBDBEBFBGBHBIBJBLBMBNBOBQBRBSBTBUBVBWBYBZCACCCDCFCGCHCICKCLCMCNCOCPCRCSCUCVCWCXCYCZDEDGDJDKDMDODZEAECEEEGEHERESETEUEZFIFJFKFMFOFRFXGAGBGDGEGFGGGHGIGLGMGNGPGQGRGSGTGUGWGYHKHMHNHRHTHUICIDIEILIMINIOIQIRISITJEJMJOJPKEKGKHKIKMKNKPKRKWKYKZLALBLCLILKLRLSLTLULVLYMAMCMDMEMFMGMHMKMLMMMNMOMPMQMRMSMTMUMVMWMXMYMZNANCNENFNGNINLNONPNRNTNUNZOMPAPEPFPGPHPKPLPMPNPRPSPTPWPYQARERORSRURWSASBSCSDSESFSGSHSISJSKSLSMSNSOSRSSSTSUSVSXSYSZTATCTDTFTGTHTJTKTLTMTNTOTPTRTTTVTWTZUAUGUKUMUSUYUZVAVCVEVGVIVNVUWFWSXIXUXKYEYTYUZAZMZRZW -
citystring -
zipcodestring -
addressstring -
statusstring⚠️ This enum is not exhaustive; new values may be added in the future.
One of
ACTIVEDEACTIVATED -
createdAtstring · date-time -
updatedAtstring · date-time -
rolesarray of stringOne of
REIMBURSEMENTCARDHOLDERCONTROLLERCOMPANY_ADMINVENDOR_MANAGEMENTINVOICE_APPROVERAP_PREPARATIONAP_CLERKAR_CLERKPURCHASE_REQUESTERREPORT_VIEWERAUDITOR -
groupsarray of object-
idstring · uuid -
namestring -
descriptionstring -
companyIdstring · uuid -
memberCountinteger · int64 -
createdAtstring · date-time -
updatedAtstring · date-time
-
-
managerIdsarray of string · uuid
-
-
hasMorebooleanBoolean flag indicating if there are more records available
-
totalinteger · int64deprecatedTotal number of records (only for offset pagination). This field is not guaranteed to be returned and only available for offset pagination, please do not rely on it and migrate to cursor pagination.
-
nextCursorstringCursor for fetching the next page (only for cursor pagination)
-
prevCursorstringCursor for fetching the previous page (only for cursor pagination)